= nng_wss_register(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_wss_register - register WebSocket secure transport

== SYNOPSIS

[source,c]
----
#include <nng/transport/websocket/ws.h>

int nng_wss_register(void);
----

== DESCRIPTION

The `nng_wss_register()` function registers the
((_wss_ transport))(((transport, _wss_))) for use.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_ENOMEM`:: Insufficient memory is available.
`NNG_ENOTSUP`:: The transport is not supported.

== SEE ALSO

[.text-left]
xref:nng_ws.7.adoc[nng_ws(7)],
xref:nng.7.adoc[nng(7)]
